CREATE TABLE "ITEMS" (
	id INTEGER PRIMARY KEY,
	titleForSearch TEXT NOT NULL,
	categoryId INTEGER NOT NULL,
	status INTEGER NOT NULL DEFAULT 0,
	addDate INTEGER NOT NULL DEFAULT 0,
	endDate INTEGER NOT NULL DEFAULT 0,
	lastUseDate INTEGER NOT NULL DEFAULT 0
);

CREATE TABLE "ATTRIBUTES" (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	itemId INTEGER NOT NULL,
	key TEXT NOT NULL,
	value TEXT NOT NULL
);

CREATE TABLE "AUTHORS" (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	title TEXT NOT NULL,
	titleForSearch TEXT NOT NULL
);

CREATE TABLE "CATEGORIES" (
	id INTEGER PRIMARY KEY,
	parentId INTEGER DEFAULT 0,
	title TEXT NOT NULL
);

CREATE TABLE "DESCRIPTIONS" (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	itemId INTEGER NOT NULL,
	fullText TEXT NOT NULL
);

CREATE TABLE "ITEMS_AUTHORS" (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	itemId INTEGER NOT NULL,
	authorId INTEGER NOT NULL
);

CREATE TABLE "FILES" (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	itemId INTEGER NOT NULL,
	title TEXT NOT NULL,
	size INTEGER DEFAULT 0,
	duration INTEGER DEFAULT 0,
	position INTEGER NOT NULL DEFAULT 0,
	link TEXT NOT NULL
);